.partner-carousel .card {
  background: var(--color-white);
  padding: 24px;
  box-shadow: 0 2px 8px rgba(0 0 0 /1%);
  border: 1px solid var(--color-light-gray-20);
  border-radius: 8px;
  margin-bottom: 12px;
}

.partner-carousel .card-content {
  display: flex;
  gap: 24px;
  flex-direction: column;
}

.partner-carousel .card-image {
  width: 100%;
  border-radius: 8px;
  display: block;
  aspect-ratio: 335/223;
  object-fit: cover;
}

.partner-carousel .card-image img {
  width: 137px;
  aspect-ratio: 137/282;
  object-fit: cover;
  border-radius: 8px;
}

.partner-carousel .image-container {
  width: 100%;
  margin: 0 auto;
  margin-top: 20px;
}

.partner-carousel .card-title {
  font-size: 20px;
  font-weight: var(--font-weight-medium);
  color: var(--color-text-primary);
  margin-bottom: 15px;
  font-family: var(--font-primary);
}

.partner-carousel .card-description {
  font-size: 16px;
  color: var(--color-text-secondary);
  margin-top: 16px;
  line-height: 1.5;
  min-height: 100px;
  font-weight: var(--font-weight-regular);
}

.partner-carousel .carousel-slides-container {
  position: relative;
  width: 100%;
  margin: auto;
  overflow: hidden;
}

.partner-carousel .carousel-slides,
.partner-carousel .carousel-slide-indicators {
  list-style: none;
  margin: 0;
  padding: 0;
}

.partner-carousel .carousel-slides {
  display: flex;
  scroll-behavior: smooth;
  scroll-snap-type: x mandatory;
  overflow: scroll clip;
  gap: 24px;
  padding: 0;
  margin: 0;
  list-style: none;
}

.partner-carousel .carousel-slides::-webkit-scrollbar {
  display: none;
}

.partner-carousel .carousel-slide {
  flex: 0 0 calc((100% - 24px) / 2);
  scroll-snap-align: start;
  display: flex;
  position: relative;
}

.partner-carousel .carousel-slide .carousel-slide-content {
  z-index: 1;
  margin: 68px;
  padding: 16px;
  color: var(--color-white);
  background-color: rgba(19 19 19 / 75%);
  position: relative;
  width: var(--slide-content-width, auto);
}

.partner-carousel .carousel-slide-indicators {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  gap: 6px 12px;
  padding: 12px;
  line-height: 0;
}

.partner-carousel .carousel-slide-indicator button {
  width: 8px;
  height: 8px;
  margin: 0;
  padding: 0;
  border-radius: 50%;
  background-color: var(--color-gray-13);
  transition: background-color 0.2s;
}

.partner-carousel .carousel-slide-indicator button:disabled,
.partner-carousel .carousel-slide-indicator button:focus-visible {
  background-color: var(--color-primary);
  width: 25px;
  border-radius: 20px;
}

.partner-carousel .carousel-navigation-buttons {
  position: absolute;
  top: 50%;
  transform: translateY(-50%);
  left: 12px;
  right: 12px;
  display: flex;
  align-items: center;
  justify-content: space-between;
  z-index: 1;
}

.partner-carousel .carousel-navigation-buttons .carousel-button {
  position: relative;
  width: 44px;
  height: 44px;
  margin: 0;
  border-radius: 50%;
  padding: 0;
  background-color: rgba(19 19 19 / 25%);
  transition: background-color 0.2s;
}

.partner-carousel .carousel-navigation-buttons button:hover,
.partner-carousel .carousel-navigation-buttons button:focus-visible {
  background-color: rgba(19 19 19 / 75%);
}

.partner-carousel .carousel-navigation-buttons button::after {
  display: block;
  content: '';
  border: 2px solid;
  border-bottom: 0;
  border-left: 0;
  height: 12px;
  width: 12px;
  position: absolute;
  top: 50%;
  left: calc(50% + 2px);
  transform: translate(-50%, -50%) rotate(-135deg);
}

.partner-carousel .carousel-navigation-buttons button.slide-next::after {
  transform: translate(-50%, -50%) rotate(45deg);
  left: calc(50% - 2px);
}

.section.partner-carousel-container .default-content-wrapper h2 {
  font-size: var(--f-s-sub-title);
  text-align: center;
}

.partner-corner .login-button-container .button-container .button {
  position: fixed;
  right: 4px;
  bottom: 15px;
  z-index: 99;
  background-color: var(--color-white);
  color: var(--color-primary);
  border: 1px solid var(--color-primary);
  text-transform: uppercase;
  border-radius: 12px;
  transition: background-color 0.3s;
  height: 44px;
}

.blog-heading-latest {
  display: none !important;
}

@media (width <=768px) {
  .partner-carousel .card-image img {
    aspect-ratio: 238/158;
  }

  .partner-carousel .carousel-slide {
    flex: 0 0 100%;
  }

  .partner-carousel .single-card .carousel-slide {
    flex: 0 0 100%;
  }

  .partner-carousel .carousel-slide-indicators {
    padding: 32px 12px 12px;
  }

  .partner-carousel .carousel-navigation-buttons {
    left: 24px;
    right: 24px;
  }

  .partner-corner .login-button-container .button-container .button {
    bottom: 64px;
    padding: 10px 26px;
    right: 10px;
  }
}